Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter
Interface IGraphProducingFilter<G extends AbstractGraph<?,?,?>>

Type Parameters:
  `G` - The type of the produced graph

All Superinterfaces:
  IGraphOutputtingFilter<G>

All Known Implementing Classes:
  AbstractDependencyGraphFilter, AbstractGraphProducingFilter, ComponentDependencyGraphAllocationFilter, ComponentDependencyGraphAssemblyFilter, ContainerDependencyGraphFilter, OperationDependencyGraphAllocationFilter, OperationDependencyGraphAssemblyFilter

    public interface IGraphProducingFilter<G extends AbstractGraph<?,?,?>>

extends IGraphOutputtingFilter<G>

Interface for graph-producing filters.

Since:
  1.6
Author:
  Holger Knoche

Field Summary

Fields inherited from interface kieker.tools.traceAnalysis.filter.IGraphOutputtingFilter
`OUTPUT_PORT_NAME_GRAPH`

Method Summary
`void` | `requestOriginRetentionPolicy(IOriginRetentionPolicy policy)` Requests that the given retention policy is used by this graph producer.

Methods inherited from interface kieker.tools.traceAnalysis.filter.IGraphOutputtingFilter
`getGraphOutputPortName`

Method Detail

### requestOriginRetentionPolicy

    void requestOriginRetentionPolicy(IOriginRetentionPolicy policy)
                                      throws AnalysisConfigurationException

  Requests that the given retention policy is used by this graph producer. Note that the producer may choose to use a more liberal, compatible retention policy to satisfy the needs of other graph consumers (see `IOriginRetentionPolicy.isCompatibleWith(IOriginRetentionPolicy)`).

  Parameters:
    `policy` - The requested policy
  Throws:
    `AnalysisConfigurationException` - If an error occurs during the request
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net